/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifndef DANBOORU_SEARCHWIDGET_H
#define DANBOORU_SEARCHWIDGET_H

#include "ui_searchwidget.h"

namespace Danbooru
{

class DanbooruSearchWidget: public QWidget, Ui::SearchWidget
{

    Q_OBJECT

public:
    explicit DanbooruSearchWidget(QWidget *parent = 0);
    ~DanbooruSearchWidget();
    QStringList selectedTags() const;
    unsigned int selectedWidth() const;
    unsigned int selectedHeight() const;

private:
    QStringList m_tags;
    unsigned int m_width;
    unsigned int m_height;

private Q_SLOTS:
    void accept();

Q_SIGNALS:
    void accepted();
    void rejected();

};

} // namespace Danbooru

#endif
