/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#include "danboorutagwidget.h"
#include "model/danboorutagmodel.h"
#include "libdanbooru/danboorutag.h"

namespace Danbooru
{

DanbooruTagWidget::DanbooruTagWidget(QWidget *parent): QListView(parent)
{
}

DanbooruTagWidget::~DanbooruTagWidget()
{
}

void DanbooruTagWidget::addTag(DanbooruTag *tag)
{

    if (m_blacklist.contains(tag->name())) {
        return;
    }

    qobject_cast<DanbooruTagModel *>(model())->addTag(tag);

}

void DanbooruTagWidget::setBlackList(const QStringList &blackList)
{
    m_blacklist = blackList;
}

} // namespace Danbooru
