/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifndef DANBOORU_TAGWIDGET_H
#define DANBOORU_TAGWIDGET_H

#include <QListView>
#include <QStringList>

namespace Danbooru
{

class DanbooruTag;

class DanbooruTagWidget: public QListView
{

    Q_OBJECT

private:
    QStringList m_blacklist;

public:
    explicit DanbooruTagWidget(QWidget *parent = 0);
    ~DanbooruTagWidget();
    void setBlackList(const QStringList &blacklist);

public Q_SLOTS:
    void addTag(DanbooruTag *tag);
};
} // namespace Danbooru

#endif
