/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#include "generalpage.h"

#include <QRegularExpression>
#include <QRegularExpressionValidator>
#include <QLineEdit>

#include "danboorusettings.h"

static QLatin1String urlRegex("(http|https):\\/\\/[\\w\\-_]+(\\.[\\w\\-_]+)+([\\w\\-\\.,@?^=%&amp;:/~\\+#]*[\\w\\-\\@?^=%&amp;/~\\+#])?");

namespace Danbooru
{

GeneralPage::GeneralPage(DanbooruSettings *preferences, QWidget *parent): QWidget(parent)
{
    setupUi(this);
    kcfg_Boards->insertStringList(preferences->boards());
    QRegularExpression regex(urlRegex);
    QRegularExpressionValidator *validator = new QRegularExpressionValidator(regex);
    kcfg_Boards->lineEdit()->setValidator(validator);
    kcfg_MaxRating->setCurrentIndex(preferences->maxRating());

}

GeneralPage::~GeneralPage()
{
}

} // namespace Danbooru
