/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifndef DANBOORU_H
#define DANBOORU_H

#include "libdanbooru_version.h"

#include <QObject>

/**
 * @brief The Danbooru namespace.
 * @file danbooru.h
 *
 **/
namespace Danbooru
{

enum ApiType {
    Danbooru = 16,
    MoeBooru = 32,
    Gelbooru = 64,
    Unknown = 128
    };

enum Rating {
    Safe = 256,
    Questionable = 512,
    Explicit = 1024
};

enum Request {
    Post = 2048,
    Pool = 4096,
    Artist = 8192,
    Tag = 16384
};

Q_DECLARE_FLAGS(Ratings, Rating)
Q_DECLARE_OPERATORS_FOR_FLAGS(Danbooru::Ratings)

} // namespace Danbooru

Q_ENUMS(Danbooru::ApiType)
Q_ENUMS(Danbooru::Rating)
Q_ENUMS(Danbooru::Request)
Q_DECLARE_METATYPE(Danbooru::ApiType)
Q_DECLARE_METATYPE(Danbooru::Ratings)
Q_DECLARE_METATYPE(Danbooru::Rating)
Q_DECLARE_METATYPE(Danbooru::Request)



#endif // DANBOORU_H
