/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#include "danboorupool.h"
#include "danboorupost.h"

namespace Danbooru
{

DanbooruPool::DanbooruPool(const QVariantMap &postData, QObject *parent):
    QObject(parent), m_posts(QList<int>())
{
    m_id = postData.value("id").toInt();
    m_name = postData.value("name").toString();
    m_postCount = postData.value("post_count").toInt();
    m_description = postData.value("description").toString();
}

int DanbooruPool::id() const
{
    return m_id;
}

QString DanbooruPool::name() const
{
    return m_name;
}

QString DanbooruPool::description() const
{
    return m_description;
}

int DanbooruPool::postCount() const
{
    return m_postCount;
}

QList< int > DanbooruPool::posts() const
{
    return m_posts;
}

void DanbooruPool::addPost(int post)
{
    m_posts.append(post);
}

void DanbooruPool::addPosts(QList<int> posts)
{
    m_posts.append(posts);
}


} // namespace Danbooru
