/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#include "danboorutag.h"

namespace Danbooru
{

DanbooruTag::DanbooruTag(const QVariantMap &postData, QObject *parent):
    QObject(parent)
{
    m_id = postData.value("id").toInt();
    m_name = postData.value("name").toString();
    m_count = postData.value("count").toInt();

    int type = postData.value("type").toInt();

    switch (type) {
    case 0:
        m_tagType = General;
        break;
    case 1:
        m_tagType = Artist;
        break;
    case 2:
        m_tagType = Copyright;
        break;
    case 3:
        m_tagType = Character;
        break;
    case 4:
        m_tagType = Unknown;
        break;
    default:
        m_tagType = Unknown;
        break;
    }
}

DanbooruTag::~DanbooruTag()
{
}

int DanbooruTag::id() const
{
    return m_id;
}

int DanbooruTag::count() const
{
    return m_count;
}

const QString DanbooruTag::name() const
{
    return m_name;
}

Danbooru::DanbooruTag::TagType DanbooruTag::type() const
{
    return m_tagType;
}

} // namespace Danbooru
