/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifndef DANBOORU_TEST_SERVICE_H_
#define DANBOORU_TEST_SERVICE_H_

#include "../moebooru.h"
#include "../danbooru_donmai.h"
#include "../servicebase.h"
#include "../danboorupost.h"
#include "../danboorupool.h"

#include <QDebug>
#include <QObject>

class QLabel;

namespace Danbooru {

class DanbooruServiceTest: public QObject
{
Q_OBJECT

private:
    DanbooruServiceBase* m_service;
    QLabel* m_label;
public:
    DanbooruServiceTest(QUrl boardUrl, Danbooru::ApiType type = Danbooru::MoeBooru);
    ~DanbooruServiceTest();

    void testPostService();
    void testPoolService();
    void testPoolRetrieval(int postid = 300);
    void testTagService();
    DanbooruServiceBase* service() const;

private Q_SLOTS:
    void showPostData(DanbooruPost* post);
    void showPoolData(DanbooruPool* pool);

};

}



#endif
