/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifndef DANBOORU_POOLMODEL_H
#define DANBOORU_POOLMODEL_H

#include <QVector>
#include <QAbstractTableModel>

namespace Danbooru
{

class DanbooruPool;

class DanbooruPoolModel: public QAbstractTableModel
{
    Q_OBJECT

public:
    DanbooruPoolModel(QObject *parent = 0);
    ~DanbooruPoolModel();

    int rowCount(const QModelIndex &parent = QModelIndex()) const Q_DECL_OVERRIDE;
    int columnCount(const QModelIndex &parent = QModelIndex()) const Q_DECL_OVERRIDE;
    QVariant data(const QModelIndex &index, int role) const Q_DECL_OVERRIDE;
    QVariant headerData(int section, Qt::Orientation orientation, int role) const Q_DECL_OVERRIDE;
    void clear();
    DanbooruPool *poolAt(int index) const;

private:
    QVector<DanbooruPool *> m_items;
    static const QStringList m_headerNames;

public Q_SLOTS:
    void addPool(Danbooru::DanbooruPool *pool);

};

} // namespace Danbooru

#endif