/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifndef DANBOORU_TAGMODEL_H
#define DANBOORU_TAGMODEL_H

#include <QAbstractListModel>
#include <QVector>

namespace Danbooru
{

class DanbooruTag;

class DanbooruTagModel: public QAbstractListModel
{

    Q_OBJECT

public:
    explicit DanbooruTagModel(QObject *parent = 0);
    ~DanbooruTagModel();
    int rowCount(const QModelIndex &parent = QModelIndex()) const Q_DECL_OVERRIDE;
    QVariant data(const QModelIndex &index, int role) const Q_DECL_OVERRIDE;
    void clear();
    DanbooruTag *itemAt(int index) const;

    enum TagRoles {
        // Needed for sorting through the proxy model
        TagCountRole = Qt::UserRole + 4000
    };

private:
    QVector<DanbooruTag *> m_items;

public Q_SLOTS:
    void addTag(Danbooru::DanbooruTag *tag);

};

} // namespace Danbooru

#endif